#ifndef ____SMTP_DATA_h__
# define ____SMTP_DATA_h__

# include "SMTPCommand.h"
# include "SMTPSession.h"

namespace mail {

   class __SMTP_DATA : public SMTPCommand {

    public:

      int processCommand(coreutils::ZString &request, SMTPSession &session, SMTPServer &server) override;

      coreutils::MString generateMailFileName();
      coreutils::MString queueMail(SMTPServer &server, coreutils::MString &sender, std::vector<coreutils::MString> &recipientList, coreutils::MString &mailData);

   };

}

#endif
